
import {
    WeaTools
} from 'ecCom'

export const getSearchList = (params) => {
    return fetch('/api/bs/hrmorganization/comp/listComp', {
        method: 'POST',
        mode: 'cors',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(params)
    })
}

export const getDeptListByPid = (params) => {
    return fetch('/api/bs/hrmorganization/dept/getDeptListByPid', {
        method: 'POST',
        mode: 'cors',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(params)
    })
}


export const deleteTableData = (params) => {
    return fetch('/api/bs/hrmorganization/comp/deleteByIds', {
        method: 'POST',
        mode: 'cors',
        headers: {
            'Content-Type': 'application/json'
        }, 
        body: JSON.stringify(params)
    })
}

export const getAdvanceSearchCondition = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/comp/getSearchCondition', 'GET', params);
}


export const add = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/comp/saveBaseComp', 'POST', params);
}

export const version = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/version/subcompanyfielddefined/save', 'POST', params);
}

export const selectVersions = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/version/subcompanyfielddefined/getVersion', 'GET', params);
}

export const editResource = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/comp/updateComp', 'POST', params);
}

export const updateForbiddenTag = (params) => {
    return fetch('/api/bs/hrmorganization/comp/updateForbiddenTagById', {
        method: 'POST',
        mode: 'cors',
        headers: {
            'Content-Type': 'application/json'
        }, 
        body: JSON.stringify(params)
    })
}

export const move = (params) => {
    return fetch('/api/bs/hrmorganization/comp/moveCompany', {
        method: 'POST',
        mode: 'cors',
        headers: {
            'Content-Type': 'application/json'
        }, 
        body: JSON.stringify(params)
    })
}

export const getCompanyForm = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/comp/getCompSaveForm', 'GET', params);
}


export const getMoveForm = () => {
    return WeaTools.callApi('/api/bs/hrmorganization/comp/getMoveForm', 'GET');
}

export const getCompanyExtendForm = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/comp/getCompBaseForm', 'GET', params);
}


export const getHasRight = (params) => {
    return WeaTools.callApi('/api/bs/hrmorganization/comp/getHasRight', 'GET', params);
}

